## class OSGPRODUCER_EXPORT osgProducer::ViewerEventHandler

## Inheritance:

### Public Methods

ViewerEventHandler(OsgCameraGroup* cg)
virtual bool handle(const osgGA::GUIEventAdapter& ea, osgGA::GUIActionAdapter& aa)
virtual void accept(osgGA::GUIEventHandlerVisitor& gehv)
virtual void getUsage(osg::ApplicationUsage& usage) const
  Get the keyboard and mouse usage of this manipulator
OsgCameraGroup* getOsgCameraGroup()
const OsgCameraGroup* getOsgCameraGroup() const
void setWriteNodeFileName(const std::string& filename)
const std::string& getWriteNodeFileName() const
void setDisplayHelp(bool displayHelp)
bool getDisplayHelp() const
void setFrameStatsMode(FrameStatsMode mode)
FrameStatsMode getFrameStatsMode()

### Public Members

enum FrameStatsMode

### Protected Fields

osgProducer::OsgCameraGroup* _cg
std::string _writeNodeFileName
bool _displayHelp
FrameStatsMode _frameStatsMode
bool _firstTimeTogglingFullScreen
StatsAndHelpDrawCallback* _statsAndHelpDrawCallback
SnapImageDrawCallbackList _snapImageDrawCallbackList

### Protected Members

typedef std::vector<SnapImageDrawCallback*> SnapImageDrawCallbackList

## Documentation

`ViewerEventHandler(OsgCameraGroup* cg)`

`virtual bool handle(const osgGA::GUIEventAdapter& ea, osgGA::GUIActionAdapter& aa)`

`virtual void accept(osgGA::GUIEventHandlerVisitor& gehv)`

`virtual void getUsage(osg::ApplicationUsage& usage) const`
  Get the keyboard and mouse usage of this manipulator

`OsgCameraGroup* getOsgCameraGroup()`

`const OsgCameraGroup* getOsgCameraGroup() const`

`void setWriteNodeFileName(const std::string& filename)`

`const std::string& getWriteNodeFileName() const`

`void setDisplayHelp(bool displayHelp)`

`bool getDisplayHelp() const`

`enum FrameStatsMode`

`NO_STATS`

`FRAME_RATE`

`CAMERA_STATS`

`void setFrameStatsMode(FrameStatsMode mode)`

`FrameStatsMode getFrameStatsMode()`

`osgProducer::OsgCameraGroup* _cg`

`std::string _writeNodeFileName`

`bool _displayHelp`

`FrameStatsMode _frameStatsMode`

`bool _firstTimeTogglingFullScreen`

`StatsAndHelpDrawCallback* _statsAndHelpDrawCallback`

`typedef std::vector<SnapImageDrawCallback*> SnapImageDrawCallbackList`

`SnapImageDrawCallbackList _snapImageDrawCallbackList`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.